/* Set two vars that allow this js to run without conflicts:

   - pp_this_plugin => containts the pluginname this certain instance of the js was loaded from
   - xyz (array) => xyz is the pluginname and it contains all vars needed
*/

//Read here: https://api.jquery.com/jquery.noconflict/
jQuery.noConflict();

//Create unique wrapper per plugin
window[pp_this_plugin + "admin_js_wrap"] = jQuery(document);

//Wrap all of the code in a function with a unique wrapper name
window[pp_this_plugin + "admin_js_function"] = function ($) {
 var plugin_content = window[pp_this_plugin]; //is available during declaration!
 
 var prefix = plugin_content.pp_prefix;
 var ajax_url = plugin_content.ajax_url;
 	
 //GENERIC FUNCTION
 $(document).on("click", "."+prefix+"btn-object-function", function(event) {
  var data_name = prefix + 'data';
	 var object_name = prefix + 'ajax_object';
	 
	 var obj = $(this).attr('data-obj');
 	 
  var object_id_name = obj+'_id';
  var object_id = $(this).attr('data-obj-id');
 	var object_function = $(this).attr('data-function');
 	var disable_on_success = $(this).attr('data-disable-on-success');
 	var disable_object = $(this);
 	var nonce = $(this).attr('data-nonce');
 	var line_id = prefix+obj+'_id_'+object_id;
  
  var data_object  = {};
  data_object[object_id_name] = object_id;
  
	 //Action for Wordpress
	 var action = prefix + obj + object_function;
  data = {'action': action};
	 //Data to transfer
  data[data_name] = data_object;
  data['_wpnonce'] = nonce;
  
  $('#'+prefix+'admin_messages').html('<div class="notice notice-info"><p>Executing ...</p></div>');
  
  $.post(ajax_url, data, function(response) {
   var returnobject = $.parseJSON(response);
   if(returnobject != false) {
    $('#'+prefix+'admin_messages').html('<div class="notice notice-success is-dismissible"><p>Execution <strong>successful</strong>!</p></div>');
    if(disable_on_success == 'Y') {
     disable_object.removeAttr('href');
     disable_object.removeAttr(object_id_name);
     disable_object.removeAttr('data-obj-id');
     disable_object.removeAttr('data-remove-on-success');
     disable_object.removeClass(prefix+"btn-object-function");
     disable_object.css("pointer-events", "none !important");
     disable_object.css("cursor", "default");
     disable_object.css("color", "#cccccc");
     }
    } else {
    $('#'+prefix+'admin_messages').html('<div class="notice notice-error is-dismissible"><p>Execution <strong>failed</strong>!</p></div>');
    }
	  });
  });
 };

//Initiate JQuery with the unique wrapper
window[pp_this_plugin + "admin_js_wrap"].ready(window[pp_this_plugin + "admin_js_function"](jQuery));