<?php if(!defined('ABSPATH')) exit; /* Exit if accessed directly */ ?>

<div class="wrap">
	<h1>
  <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPages"><i class="dashicons dashicons-admin-home pp-dashicons-lg"></i></a> // Configuration Wizard
 </h1>
	<div class="pp-container">
 	<?php if(!isset($_REQUEST[$this->pp_prefix.'step'])) { ?>
  	<div class="pp-box">
   	<h2>Step 1 of 5 - Let's get started...</h2>
    <p>
     <strong>Thank you for using WP Link Builder</strong> - awesome you decided to increase your website rankings!
     <br/>Please take one minute to understand what WP Link Builder does. It will help you understand the configuration settings and get
     the most out of it!
     
     <br/><br/>
     All the best - may the link juice be with you,<br/>
     Michael & Jazib from <a href="https://wplinkbuilder.com/?utm_source=wizard_step1_signature&utm_medium=plugin&utm_campaign=plugin_free" target="_blank">WPLB</a>
    </p>
    
    <hr>    
    <center>
     <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPageWizard&<?php echo $this->pp_prefix; ?>step=2"
       class="button-primary">Okay, gotcha! Lets go...</a>
    </center>
   </div>
  <?php  } elseif($_REQUEST[$this->pp_prefix.'step'] == '2') { ?>
   <div class="pp-box">
    <h2>Step 2 of 5 - Understanding how WP Link Builder works</h2>
    <p>
     <strong>In one sentence:</strong>
     
     In it's core functionality WP Link Builder collects the backlinks your visitors came from and sends
     them to indexing services, so search engines can find them and credit your website with link juice.
    </p>
    
    <h3>And how does it work?</h3>
   
    <p>
     <strong>Picture this:</strong>
     
     If we would link to one of your website's posts from <a href="https://wplinkbuilder.com/?utm_source=wizard_step2_explanation&utm_medium=plugin&utm_campaign=plugin_free" target="_blank">https://wplinkbuilder.com/</a>
     and a user clicked on that link, he would of course be forwarded to your post. All browsers store the so called "referrer",
     which contains the previous website the user visited (your backlink). The backlink is then evaluated by the WP Link Builder
     plugin on your website. In our example this would be "https://wplinkbuilder.com/". So what happens then?
    </p>
     
    <ol>
     <li>WP LinkBuilder checks if the backlink is a local URL of your website and if so, filters it out.</li>
     <li>WP LinkBuilder checks if the backlink is a search engine URL and if so, filters it out.</li>
     <li>WP LinkBuilder checks if the backlink is already in your database and if so, filters it out.</li>
     <li>WP LinkBuilder stores the backlink in the database along with the post/page it points to on your website.</li>
     <li>WP LinkBuilder forwards the backlink to free indexing services, which are crawled very often by search engines</li>
     <li>The search engine bot crawls the indexing service and finds the backlink</li>
     <li>The search engine crawls the backlink and finds the link to your website</li>
     <li>The search engine credits your website with the "link juice" of the backlink</li>
    </ol>
   
    <p>
     Okay, so now take me to the settings...
    </p>
    
    <hr>    
    <center>
     <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPageWizard"
       class="button-secondary">Previous step</a>
     <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPageWizard&<?php echo $this->pp_prefix; ?>step=3"
       class="button-primary">Next step</a>
    </center>
   </div>
  <?php  } elseif($_REQUEST[$this->pp_prefix.'step'] == '3') { ?>
   <form action="admin.php" method="get">
    <input type="hidden" name="page" value="<?php echo $this->pp_prefix; ?>menuPageWizard">						 
 		 <input type="hidden" name="function" value="<?php echo $this->pp_prefix; ?>updateOptions">
    <input type="hidden" name="<?php echo $this->pp_prefix; ?>step" value="4">
    <?php wp_nonce_field($this->pp_prefix.'updateOptions'); ?>
    
    <div class="pp-box">
     <h2>Step 3 of 5 - Enable backlink promotion?</h2>
     <p>
      According to WordPress regulations, plugins within the WordPress directory may not "talk home" without the user's consent.
      This means, that a plugin is may not send data back to their creators (or anyone else) without informing the user about
      it and collecting his opt-in for that.
     </p>
     
     <p>
      In order for this plugin to promote your backlinks to different (public) indexing services, it has to talk home though.
      When enabling the option below, you allow the plugin to send us the URL you want to promote (nothing more!). We will collect
      this URL to forward it to different indexing services like "pingomatic" or others so it can be found by search engines.
     </p>
     
   		<label for="<?php echo $this->pp_prefix.'enable_backlink_promotion'; ?>"><strong><?php echo $option_vars_names[$this->pp_prefix.'enable_backlink_promotion']; ?>:</strong></label>
  		 <br />
     <select id="<?php echo $this->pp_prefix.'enable_backlink_promotion'; ?>" name="<?php echo $this->pp_prefix.'data'; ?>[option_new][<?php echo $this->pp_prefix.'enable_backlink_promotion'; ?>]">
  		  <?php foreach($option_select_values[$this->pp_prefix.'enable_backlink_promotion'] AS $value => $nicename) { ?>
     	 <option value="<?php echo htmlspecialchars($value); ?>"<?php if(get_option($this->pp_prefix.'enable_backlink_promotion') == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
     	<?php  } ?>
     </select>
     
   		<p>
 			  <strong>Don't worry:</strong> No sensitive data will be collected or forwarded and it is completely free!
     </p>

     <hr>
     <center>
      <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPageWizard&<?php echo $this->pp_prefix; ?>step=2"
        class="button-secondary">Previous step</a>
      <input type="submit"
             class="button-primary"
             value="Save and next step">
     </center>
    </div>
   </form>
  <?php  } elseif($_REQUEST[$this->pp_prefix.'step'] == '4') { ?>
   <form action="admin.php" method="get">
    <input type="hidden" name="page" value="<?php echo $this->pp_prefix; ?>menuPageWizard">						 
 		 <input type="hidden" name="function" value="<?php echo $this->pp_prefix; ?>updateOptions">
    <input type="hidden" name="<?php echo $this->pp_prefix; ?>step" value="5">
    <?php wp_nonce_field($this->pp_prefix.'updateOptions'); ?>
    
    <div class="pp-box">
     <h2>Step 4 of 5 - Enable auto backlink promotion?</h2>
     
     <p>
      If you activated the backlink promotion in general, we recommend to automatically promote all the collected links immediately.
      This way, your backlinks get found faster by search engines.
     </p>
     
   		<label for="<?php echo $this->pp_prefix.'auto_backlink_promotion'; ?>"><strong><?php echo $option_vars_names[$this->pp_prefix.'auto_backlink_promotion']; ?>:</strong></label>
  		 <br />
     <select id="<?php echo $this->pp_prefix.'auto_backlink_promotion'; ?>" name="<?php echo $this->pp_prefix.'data'; ?>[option_new][<?php echo $this->pp_prefix.'auto_backlink_promotion'; ?>]">
  		  <?php foreach($option_select_values[$this->pp_prefix.'auto_backlink_promotion'] AS $value => $nicename) { ?>
     	 <option value="<?php echo htmlspecialchars($value); ?>"<?php if(get_option($this->pp_prefix.'auto_backlink_promotion') == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
     	<?php  } ?>
     </select>
     <br />
     
  			<p>
 			  That is what we are here for, right?
     </p>
  			<hr>
     
     <center>
      <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPageWizard&<?php echo $this->pp_prefix; ?>step=3"
        class="button-secondary">Previous step</a>
      <input type="submit"
             class="button-primary"
             value="Save and next step">
     </center>
    </div>
   </form>
  <?php  } elseif($_REQUEST[$this->pp_prefix.'step'] == '5') { ?>
   <div class="pp-box">
    <h2>Step 5 of 5 - That was easy, wasn't it?!</h2>
    <p>
     <center><span class="pp-badge-success">Config completed</span></center>
    </p>
    <p>
     We hope you enjoy this plugin, and if so, give it a 5-star rating in the WordPress directory.
     Thanks again for choosing WP Link Builder - you are awesome!
    </p>
    
    <p>
     Michael & Jazib from <a href="https://wplinkbuilder.com/?utm_source=wizard_step5_signature&utm_medium=plugin&utm_campaign=plugin_free" target="_blank">WPLB</a>
    </p>
    
    <hr>    
    <center>
     <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPageBacklinks"
        class="button-primary">Take me to the backlink manager</a>
    </center>
   </div>
  <?php  } ?>
 </div>
</div>