<?php
/*
Plugin Name: WP Link Builder - SEO on autopilot
Plugin URI: https://wplinkbuilder.com/
Description: The WP Link Builder plugin detects and promotes your backlinks: "This is like SEO on autopilot".
Author: WP LinkBuilder by shopmunity GmbH, Germany
Version: 1.2.0.0
Author URI: https://wplinkbuilder.com/

The features:
 - Autodetect backlinks
 - List found backlinks
 - Auto-promote backlinks to indexing services
 - Manually promote backlinks
 
The known issues:
 - none

The fixes:
 - none

*/

if(!defined('ABSPATH')) exit; /* Exit if accessed directly */

//--------------------------------------------------------------------------------------------
//Config section
//--------------------------------------------------------------------------------------------

//Plugin name:
$pp_plugin_name = 'wp_linkbuilder'; //Technical name (small a-z only), consistent with foldername + this file
$pp_plugin_filefolder_name = 'wp-linkbuilder'; //Technical name (small a-z only), consistent with foldername + this file
$pp_plugin_name_read = "WP LinkBuilder"; //Public, readable name (choose something short!)

//Load plugin class
require_once(plugin_dir_path(__FILE__)."plugin/plugin_class.inc.php");

//Instanciate plugin class
$GLOBALS[strtoupper($pp_plugin_name).'_OBJECT'] = new $pp_plugin_name($pp_plugin_name, $pp_plugin_name_read, $pp_plugin_filefolder_name);

//Include the widget controller
require_once(plugin_dir_path(__FILE__)."plugin/plugin_widget.inc.php");

//Include the plugin controller
$GLOBALS[strtoupper($pp_plugin_name).'_OBJECT']->init();

//Activation-Hooks must be called from main plugin file (this file!)
register_activation_hook(__FILE__, array($GLOBALS[strtoupper($pp_plugin_name).'_OBJECT'], 'activate')); //On plugin activation
register_deactivation_hook(__FILE__, array($GLOBALS[strtoupper($pp_plugin_name).'_OBJECT'], 'deactivate')); //On plugin deactivation
register_uninstall_hook(__FILE__, array($GLOBALS[strtoupper($pp_plugin_name).'_OBJECT'], 'uninstall')); //On plugin uninstallation

//Unset all config vars (not the plugin object!)
unset($pp_plugin_name);
unset($pp_plugin_filefolder_name);
unset($pp_plugin_name_read);

?>